Subject: Re: [PATCH] Revert "kconfig: Temporarily disable dependency warnings"

From: Michal Marek <[email-masked]>
Date: Fri, 26 Nov 2010 14:33:37 +0100

On 26.11.2010 13:33, Catalin Marinas wrote:
> On 25 November 2010 18:09, Arnaud Lacombe <[email-masked]> wrote:
>> On Thu, Nov 25, 2010 at 12:43 PM, Catalin Marinas
>> <[email-masked]> wrote:
>>> Now, commenting on your patches, you added a new statement, 'visible
>>> if...' for menus. Can we not change it to something like:
>>>
>>> -menu "I2C Algorithms"
>>> -       depends on !I2C_HELPER_AUTO
>>> +menu "I2C Algorithms" if !I2C_HELPER_AUTO
>>>
>> no because if_expr are translated internally in term of dependency,
>> which we don't want.
> 
> That's correct but I was wondering whether we could change this kind
> of 'if' to a visibility attribute or a weaker dependency and avoid
> 'select' warnings. This way we wouldn't introduce new keywords to the
> kconfig language.

I quite like the "visible if" notation because it makes it explicit that
it only affects the display of the menu and does not add any dependency
to the data.

Michal